Bug 205489 - BUG() in kernel/fork.c:983/copy_process()
BUG() in kernel/fork.c:983/copy_process()
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-06 14:26 EDT by Brian Brock
Modified: 2015-01-04 17:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-20 10:19:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full dmesg after boot (22.25 KB, application/octet-stream)
2006-09-06 14:28 EDT, Brian Brock
no flags Details
full dmesg after boot (22.25 KB, text/plain)
2006-09-06 14:30 EDT, Brian Brock
no flags Details

  None (edit)
Description Brian Brock 2006-09-06 14:26:03 EDT
kernel reports a BUG() during boot

kernel 2.6.17-1.2617.2.1.fc6xen
installed as fc6-test2
updated to rawhide-20060906

system continues to run, no loss of basic functionality detected yet.

serial console output, with some context:

ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 7 9 10 *11 12)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 7 9 *10 11 12)
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 7 *9 10 11 12)
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 7 9 10 *11 12)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 7 9 10 11 12) *0, disabled.
ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 7 9 10 *11 12)
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 7 *9 10 11 12)
ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 7 9 *10 11 12)
BUG: warning at kernel/fork.c:983/copy_process() (Not tainted)
 [<c0405666>] show_trace_log_lvl+0x58/0x177
 [<c0405c6b>] show_trace+0xd/0x10
 [<c0405ca9>] dump_stack+0x19/0x1b
 [<c041dd1c>] copy_process+0x15d/0x1320
 [<c041ef21>] do_fork+0x42/0x113
 [<c0402c63>] kernel_thread+0x76/0x7e
 [<c042e8b3>] __call_usermodehelper+0x2b/0x44
 [<c042ec96>] run_workqueue+0x7a/0xbb
 [<c042f5cb>] worker_thread+0xd2/0x107
 [<c0431b5d>] kthread+0xc3/0xf2
 [<c04029a5>] kernel_thread_helper+0x5/0xb
DWARF2 unwinder stuck at kernel_thread_helper+0x5/0xb
Leftover inexact backtrace:
Inexact backtrace:
 [<c0405c6b>] show_trace+0xd/0x10
 [<c0405ca9>] dump_stack+0x19/0x1b
 [<c041dd1c>] copy_process+0x15d/0x1320
 [<c041ef21>] do_fork+0x42/0x113
 [<c0402c63>] kernel_thread+0x76/0x7e
 [<c042e8b3>] __call_usermodehelper+0x2b/0x44
 [<c042ec96>] run_workqueue+0x7a/0xbb
 [<c042f5cb>] worker_thread+0xd2/0x107
 [<c0431b5d>] kthread+0xc3/0xf2
 [<c04029a5>] kernel_thread_helper+0x5/0xb
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PEX0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PEX1._PRT]
Comment 1 Brian Brock 2006-09-06 14:28:01 EDT
Created attachment 135683 [details]
full dmesg after boot
Comment 2 Brian Brock 2006-09-06 14:30:54 EDT
Created attachment 135684 [details]
full dmesg after boot

correct mime type.
Comment 3 Dave Jones 2006-09-14 01:05:15 EDT
Still there with the latest kernel ?
Comment 4 Brian Brock 2007-03-20 10:19:53 EDT
I haven't seen this bug recently, closing.

Note You need to log in before you can comment on or make changes to this bug.